package com.docus.server.record.service.impl;

import com.docus.server.record.common.pojo.dto.IdType;
import com.docus.server.record.common.pojo.entity.MedicalRecord;
import com.docus.server.record.service.IMedicalRecordService;
import org.springframework.stereotype.Service;

@Service
public class MedicalRecordServiceImpl implements IMedicalRecordService {

    @Override
    public void receive(MedicalRecord medicalRecord) {
        //判断幂等，不要重复提交。     //判断业务是否正确，
        if (isExist(medicalRecord)) {
            return;
        }
        //保存数据内容到数据库。
        this.saveMedicalRecord(medicalRecord);

        //发起下载任务

    }


    public void createDownloadTask(MedicalRecord medicalRecord) {
        //创建下载任务，改造文件服务，
        //确保下载任务成功。

        //完成任务，保存对应信息到病案系统。
    }


    public void saveFileInfo() {

    }

    public void saveMedicalRecord(MedicalRecord medicalRecord) {

    }


    public Boolean isExist(MedicalRecord medicalRecord) {
        if (medicalRecord.getIdType() == IdType.JZH) {
            //根据记账号查询
            return true;

        } else {
            //根据住院号+住院次数
            return true;
        }
    }


}
